﻿' The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

''' <summary>
''' An empty page that can be used on its own or navigated to within a Frame.
''' </summary>
Public NotInheritable Class MainPage
    Inherits Page

    ''' <summary>
    ''' Invoked when this page is about to be displayed in a Frame.
    ''' </summary>
    ''' <param name="e">Event data that describes how this page was reached.  The Parameter
    ''' property is typically used to configure the page.</param>
    Protected Overrides Sub OnNavigatedTo(e As Navigation.NavigationEventArgs)
    
    End Sub

    Private Sub listboxPhotos_SelectionChanged(sender As Object, e As SelectionChangedEventArgs) Handles listboxPhotos.SelectionChanged
        Dim bm As BitmapImage = New BitmapImage
        Select Case listboxPhotos.SelectedIndex
            Case 0
                textboxInfo.Text =
                  "Made with fresh strawberries, pound cake, whipped cream, and mint."
                bm.UriSource = New Uri("ms-appx:/Assets/Strawberry-Shortcake.jpg",
                    UriKind.Absolute)
                imageViewer.Source = bm
            Case 1
                textboxInfo.Text =
                  "Strawberry-Rhubarb jam will make summer last all year long."
                bm.UriSource = New Uri("ms-appx:/Assets/Jam.jpg", UriKind.Absolute)
                imageViewer.Source = bm
            Case 2
                textboxInfo.Text =
                  "Fresh dark red cherries have a crisp bite and a tart summer taste."
                bm.UriSource =
                  New Uri("ms-appx:/Assets/Cherries.jpg", UriKind.Absolute)
                imageViewer.Source = bm
            Case 3
                textboxInfo.Text =
                  "Rhubarb grows quickly and makes good pies, crisp, and jam."
                bm.UriSource =
                  New Uri("ms-appx:/Assets/Rhubarb.jpg", UriKind.Absolute)
                imageViewer.Source = bm
            Case 4
                textboxInfo.Text =
                  "Fresh apples are good in a homemade pie or with wine and cheese."
                bm.UriSource = New Uri("ms-appx:/Assets/Apples.jpg", UriKind.Absolute)
                imageViewer.Source = bm
        End Select

        If (System.DateTime.Today.Month = 6) And
            (listboxPhotos.SelectedIndex <= 1) Then
            textboxInfo.Text = textboxInfo.Text & " BEST THIS MONTH!"
        End If

        TextBox2.Text =
            TextBox2.Text & listboxPhotos.SelectedItem.Content.ToString() & ", "
        
    End Sub

    Private Sub OrderButton_Click(sender As Object, e As RoutedEventArgs) Handles OrderButton.Click
        Dim item As Object
        Try
            For Each item In listboxPhotos.Items
                TextBox2.Text = TextBox2.Text & item.Content.ToString() & ", "
            Next
        Catch ex As Exception
            TextBox2.Text =
                "Order All button disabled. Error processing items. "
            TextBox2.Text = TextBox2.Text & ex.Message
            OrderButton.IsEnabled = False
        End Try
    End Sub
End Class
